%global momorel 1
%global mozilla_version   1.7.3
%global googlebar_version l10n-0_7
%global linky_version     210

Name:        mozilla-extensions
Summary:     mozilla extensions
Version:     %{mozilla_version}
Release:     %{momorel}m
License:     MPL and GPL and LGPL
### tabextensions ver. 1.10.2004062101
# url -> http://white.sakura.ne.jp/~piro/xul/_tabextensions.html
Source0:     http://white.sakura.ne.jp/~piro/xul/xpi/tabextensions.xpi
# http://white.sakura.ne.jp/~piro/xul/codes/tabextensions/readme.txt -> tabextensions.readme
Source1:     tabextensions.readme
Source2:     extensions-tabextensions.txt
#Source3:     http://www.mozilla.gr.jp/~hub-san/googlebar%{googlebar_version}.xpi
#Source3:     http://downloads.us-east3.mozdev.org/googlebarl10n/0.7.06/googlebarl10n-0_7.xpi
#NoSource:    3
#Source4:     extensions-googlebar.txt
Source5:     http://downloads.mozdev.org/linky/linky-%{linky_version}.xpi
NoSource:    5
Source6:     extensions-linky.txt
Source7:     http://downloads.mozdev.org/prefbar/prefbar-seamonkey.xpi
NoSource:    7
Source8:     extensions-prefbar.txt
### contextmenu extensions 3.1.2004052301
# url -> http://white.sakura.ne.jp/~piro/xul/_ctxextensions.html
Source9:     http://white.sakura.ne.jp/~piro/xul/xpi/ctxextensions.xpi
# http://white.sakura.ne.jp/~piro/xul/codes/ctxextensions/readme.txt -> ctxextensions.readme
Source10:    ctxextensions.readme
Source11:    extensions-ctxextensions.txt

Group:       Applications/Internet
BuildPrereq: unzip
Requires:    mozilla >= %{mozilla_version}
URL:         http://extensionroom.mozdev.org/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
BuildArch:   noarch

%description
Mozilla extensions


%package tabextensions
Summary:     Mozilla tabbrowser extensions
Group:       Applications/Internet
Requires:    mozilla >= %{mozilla_version}
Requires:    mozilla-language-pack-japanese >= %{version}

%description tabextensions
Add-on package for extending operations of tabbed browsing, e.g.,
tabs become re-ordable by drag and drop.


#%%package googlebar
#Summary:     Googlebar for mozilla
#Group:       Applications/Internet
#Requires:    mozilla >= %{mozilla_version}
#Requires:    mozilla-language-pack-japanese >= %{version}
#
#%%description googlebar
#Brings the http://toolbar.google.com Google ToolBar for IE to Mozilla.


%package linky
Summary: Linky is a very simple addon to the context menu that provide you with the following
Group: Applications/Internet
Requires:    mozilla >= %{mozilla_version}

%description linky
Linky will increase your power to handle links. It will let you open
or download all or selected links, image links and even web addresses
found in the text in separate or different tabs or windows. You will
just need to right click any link or web address, select the Linky
menu item and choose the desired action. You can even specify what
option you want to see available in the Linky menu through its
preferences.


%package prefbar
Summary: Preference Toolbar
Group: Applications/Internet
Requires:    mozilla >= %{mozilla_version}

%description prefbar
Power toolbar with all the fequently used prefs (pop-ups, kill flash,
Java, etc.) served on a fully customizable toolbar.

%package ctxextensions
Summary: Preference Toolbar
Group: Applications/Internet
Requires:    mozilla >= %{mozilla_version}

%description ctxextensions
This extension extends the context menu of Netscape 7 & Mozilla. It
adds some useful features to browser, userdefined scripts, external
applications, and so on.



######################################################################
%prep
%setup -q -T -c -n %{name}
#---- tabextensions --------------------------------------------------

%{__unzip} -q -o %{SOURCE0}
%{__rm} -f install.js options.inf locale.inf
%{__cp} %{SOURCE1} .
%{__cp} %{SOURCE2} .

#---- googlebar L10n -------------------------------------------------
#%%{__unzip} -q -o %{SOURCE3}
#%%{__cp} %{SOURCE4} .
#find . -name 'install.js' -exec %{__rm} -f {} \;
#find . -type d -exec chmod 755 {} \;
#find . -type f -exec chmod 644 {} \;

#---- linky ----------------------------------------------------------
%{__unzip} -q -o %{SOURCE5}
%{__rm} -f install.js install.rdf
%{__cp} %{SOURCE6} .

#---- prefbar --------------------------------------------------------
%{__unzip} -q -o %{SOURCE7}
%{__rm} -f install.js
%{__cp} %{SOURCE8} .

#---- ctxextensions --------------------------------------------------
%{__unzip} -q -o %{SOURCE9}
%{__rm} -f install.js install.rdf  locale.inf
%{__cp} %{SOURCE10} .
%{__cp} %{SOURCE11} .


######################################################################
%build

######################################################################
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_libdir}/mozilla-%{version}/chrome
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla-%{version}/defaults/pref

#---- tabextensions --------------------------------------------------
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/tabextensions.jar
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/extensions-tabextensions.txt
%{__install} -m 644 chrome/tabextensions.jar \
  %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
%{__install} -m 644 extensions-tabextensions.txt \
  %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
#%%{__install} -m 644 tabextensions.js \
#  %{buildroot}%{_libdir}/mozilla-%{version}/defaults/pref/

#---- googlebar L10n -------------------------------------------------
# /usr/lib/mozilla-MOZILLA_VERSION/defaults/pref/googlebar.js
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/googlebar/*
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/extensions-googlebar.txt
#%%{__cp} -r googlebar %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
#%%{__install} -m 644  extensions-googlebar.txt \
#  %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
#%%{__install} -m 644 googlebar.js \
#    %{buildroot}%{_libdir}/mozilla-%{version}/defaults/pref/

#---- linky ----------------------------------------------------------
# /usr/lib/mozilla-MOZILLA_VERSION/defaults/pref/linky.js
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/linky.jar
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/extensions-linky.txt
%{__install} -m 644 chrome/linky.jar \
    %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
%{__install} -m 644 extensions-linky.txt \
    %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
%{__install} -m 644 defaults/preferences/linky.js \
    %{buildroot}%{_libdir}/mozilla-%{version}/defaults/pref/

#---- prefbar --------------------------------------------------------
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/prefbar.jar
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/extensions-prefbar.txt
%{__install} -m 644 prefbar.jar \
    %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
%{__install} -m 644 extensions-prefbar.txt \
    %{buildroot}%{_libdir}/mozilla-%{version}/chrome/

#---- ctxextensions --------------------------------------------------
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/ctxextensions.jar
# /usr/lib/mozilla-MOZILLA_VERSION/chrome/extensions-ctxextensions.txt
%{__install} -m 644 chrome/ctxextensions.jar \
  %{buildroot}%{_libdir}/mozilla-%{version}/chrome/
%{__install} -m 644 extensions-ctxextensions.txt \
  %{buildroot}%{_libdir}/mozilla-%{version}/chrome/

######################################################################
%clean
%{__rm} -rf %{buildroot}

######################################################################

#---- tabextensions --------------------------------------------------
%post tabextensions
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun tabextensions
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

#---- googlebar L10n -------------------------------------------------
#%%post googlebar
#if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
#    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
#fi
#
#%%postun googlebar
#if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
#    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
#fi

#---- linky ----------------------------------------------------------
%post linky
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun linky
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

#---- prefbar --------------------------------------------------------
%post prefbar
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun prefbar
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

#---- ctxextensions --------------------------------------------------
%post ctxextensions
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun ctxextensions
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

######################################################################

#---- tabextensions --------------------------------------------------
%files tabextensions
%defattr(-,root,root)
%doc  tabextensions.readme
%{_libdir}/mozilla-%{version}/chrome/tabextensions.jar
%{_libdir}/mozilla-%{version}/chrome/extensions-tabextensions.txt
#%%{_libdir}/mozilla-%{version}/defaults/pref/tabextensions.js

#---- googlebar L10n -------------------------------------------------
#%%files googlebar
#%%defattr(-,root,root)
#%%{_libdir}/mozilla-%{version}/defaults/pref/googlebar.js
#%%dir %{_libdir}/mozilla-%{version}/chrome/googlebar
#%%{_libdir}/mozilla-%{version}/chrome/googlebar/*
#%%{_libdir}/mozilla-%{version}/chrome/extensions-googlebar.txt

#---- linky ----------------------------------------------------------
%files linky
%defattr(-,root,root)
%{_libdir}/mozilla-%{version}/defaults/pref/linky.js
%{_libdir}/mozilla-%{version}/chrome/linky.jar
%{_libdir}/mozilla-%{version}/chrome/extensions-linky.txt

#---- prefbar --------------------------------------------------------
%files prefbar
%defattr(-,root,root)
%{_libdir}/mozilla-%{version}/chrome/prefbar.jar
%{_libdir}/mozilla-%{version}/chrome/extensions-prefbar.txt

#---- ctxextensions --------------------------------------------------
%files ctxextensions
%defattr(-,root,root)
%doc  ctxextensions.readme
%{_libdir}/mozilla-%{version}/chrome/ctxextensions.jar
%{_libdir}/mozilla-%{version}/chrome/extensions-ctxextensions.txt

######################################################################
%changelog
* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- rebuild against mozilla-1.7.3

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- rebuild against mozilla-1.7.2

* Wed Jul 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-6m)
- rewind tabexetnsions.xpi

* Wed Jul 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-5m)
- add ctxextensions

* Sat Jul 17 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7-4m)
- cancel googlebar

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- rebuild against mozilla-1.7-2m

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- change googlebar source URI.

* Mon Jun 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update for mozilla-1.7
- tabextensions update to version 1.10.2004062101

* Thu Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6-6m)
- add source

* Fri Apr  2 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-5m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Thu Jan 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-4m)
- update tabextensions (ver. 1.10.2004012201)

* Mon Jan 19 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-3m)
- can not use lha...

* Mon Jan 19 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-2m)
- update tabextensions (ver. 1.10.2004011701)

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- rebuild against mozilla-1.6

* Thu Jan  8 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-11m)
- modify extensions-tabextensions.txt
  (can not start mozilla with messege "Error launching browser window:
   no XBL binding for browser")

* Thu Jan  8 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-10m)
- update tabextensions (ver. 1.10.2003122901)

* Sun Dec 14 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-9m)
- update tabextensions (ver. 1.10.2003120902)

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-8m)
- s/Copyright:/License:/

* Sun Nov 16 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-7m)
- remove electrix.

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-6m)
- add electrix

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-5m)
- add linky
- add prefbar

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-4m)
- modify %post and %postun for extensions registration system.
  When mozilla was re-installed, registration had disappeared.
- mozilla-1.5-8m is required absolutely.
  (requires modified mozilla-rebuild-databases.pl)

* Fri Nov 14 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-3m)
- update tabextensions. (ver. 1.10)
- stop the NoSource. (Source0, Source1)

* Thu Nov  6 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-2m)
- modify %%post, %%postun

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-1m)
- first spec
- add tabextensions.
- add googlebarl10n.
